Scilab Function

xarc - dessine un arc d'ellipse

### Calling Sequence

  `xarc(x,y,w,h,a1,a2)`

### Parameters

- `x,y,w,h` : 4 valeurs réelles définissant un rectangle.
- `a1,a2` : valeurs réelles définissant un secteur

### Description

`xarc` dessine un arc d'ellipse contenu dans le rectangle `(x,y,w,h)` (point en haut à gauche, largeur, hauteur), et dans le secteur défini par l'angle `alpha1` et l'angle `alpha1+alpha2` . `alpha1` et `alpha2` sont donnés respectivement par `a1/64` degrés et `a2/64` degrés. Cette fonction utilise la couleur et l'échelle graphique courantes.

### Examples

    // échelle isométrique
    plot2d(0,0,-1,"031"," ",[-2,-2,2,2])
    xset("color",3)
    xarc(-1,1,2,2,0,90*64)
    xarc(-1.5,1.5,3,3,0,360*64)

### See Also

`xarcs` , `xfarc` , `xfarcs` ,

### Author

J.Ph.C.